<?php
$_SESSION["title"]="Админка - правка карты";
heads($headers_page, $set_ob_start);
if(!$user or $user['accept']<77){header("Location: ?");exit;}
#include_once "./#adm/fnc.php";
#echo "<div class=\"c07\">$_SESSION[title]</div>"; //Блок 1
#if(isset($_POST['pcard'])){$_GET['card']=$_POST['pcard'];}
if(isset($_GET['loc']))
{
  $idcard=intval($_GET['loc']);
  $data_card=mysql_fetch_array(mysql_query("SELECT * FROM `location` WHERE `id`='$idcard' LIMIT 1"));
  //Смена защиты от выброса
  if(isset($_GET['chemission']))
  {
  if($data_card['emission']==0){$emission=1;}else{$emission=0;}
  mysql_query("UPDATE `location` SET `emission`='$emission' WHERE `id`='$data_card[id]' LIMIT 1");
  $data_card['emission']=$emission;
  }
  //Активация -деактивация
  if(isset($_GET['cardaktive']))
  {
  if($data_card['active']==0){$active=1;}else{$active=0;}
  mysql_query("UPDATE `location` SET `active`='$active' WHERE `id`='$data_card[id]' LIMIT 1");
  $data_card['active']=$active;
  }
  $BASE=array(); $MONSTR=array(); $ANOMAL=array(); $ARTEFACT=array();
  $BASE=eject_coord_base($data_card['card']);
  $MONSTR=eject_coord_base($data_card['monstr']);
  $ANOMAL=eject_coord_base($data_card['anomal']);
  $ARTEFACT=eject_coord_base($data_card['artefact']);
  // Проверка установки новых значений
    //acardedit:&set=$land_data[0] - тип клетки &coord=$select_coord - координаты&card=$data_card[id]
//Установка ландшафта
  if(isset($_GET['set']) and isset($_GET['coord']))
  {
  //echo "Выбрано $_GET[coord] - $_GET[set]<br />";
  if(isset($BASE[(string)ft_nic($_GET['coord'])]) and $BASE[(string)ft_nic($_GET['coord'])]=="yesdoor")
  {
    echo "<font color=\"red\">Удаление перемычки здесь невозможно</font><br />";
  }else{
   if(!isset($_GET['clear'])){$BASE[(string)ft_nic($_GET['coord'])]=ft_nic($_GET['set']);}else{unset($BASE[(string)ft_nic($_GET['coord'])]);}
   //Сохраняем в БД
   $t_code="";
    foreach ($BASE as $key => $value)
    {
       $t_code.=$key."#".$value.":";
    }
    mysql_query("UPDATE `location` SET 
    `card`='$t_code'
    WHERE `id`='$data_card[id]' LIMIT 1");
    unset($t_code);
    //echo "Записанный код $t_code<br />";
    }
  }
#############################################################################3
if(isset($_GET['anomal']) and isset($_GET['coord']))
  {
  //echo "Выбрано $_GET[coord] - $_GET[set]<br />";
  
   if(!isset($_GET['clear'])){$ANOMAL[(string)ft_nic($_GET['coord'])]=ft_nic($_GET['anomal']);}else{unset($ANOMAL[(string)ft_nic($_GET['coord'])]);}
   //Сохраняем в БД
   $t_code="";
    foreach ($ANOMAL as $key => $value)
    {
       $t_code.=$key."#".$value.":";
    }
    mysql_query("UPDATE `location` SET 
    `anomal`='$t_code'
    WHERE `id`='$data_card[id]' LIMIT 1");
    unset($t_code);
    //echo "Записанный код $t_code<br />";
  }
#############################################################################3
if(isset($_GET['monstr']) and isset($_GET['coord']))
  {
  //echo "Выбрано $_GET[coord] - $_GET[set]<br />";
  
   if(!isset($_GET['clear'])){$MONSTR[(string)ft_nic($_GET['coord'])]=ft_nic($_GET['monstr']);}else{unset($MONSTR[(string)ft_nic($_GET['coord'])]);}
   //Сохраняем в БД
   $t_code="";
    foreach ($MONSTR as $key => $value)
    {
       $t_code.=$key."#".$value.":";
    }
    mysql_query("UPDATE `location` SET 
    `monstr`='$t_code'
    WHERE `id`='$data_card[id]' LIMIT 1");
    unset($t_code);
    //echo "Записанный код $t_code<br />";
  }
if(isset($_GET['artefact']) and isset($_GET['coord']))
  {
  //echo "Выбрано $_GET[coord] - $_GET[set]<br />";
  
   if(!isset($_GET['clear'])){$ARTEFACT[(string)ft_nic($_GET['coord'])]=ft_nic($_GET['artefact']);}else{unset($ARTEFACT[(string)ft_nic($_GET['coord'])]);}
   //Сохраняем в БД
   $t_code="";
    foreach ($ARTEFACT as $key => $value)
    {
       $t_code.=$key."#".$value.":";
    }
    mysql_query("UPDATE `location` SET 
    `artefact`='$t_code'
    WHERE `id`='$data_card[id]' LIMIT 1");
    unset($t_code);
    //echo "Записанный код $t_code<br />";
  }
  // Проверка базы (отладка)
  /*
  foreach ($BASE as $key => $value)
  {
   echo "$key = $value<br />"; 
  }
  */
  //
  echo "<a href=\"?l=loccard\">[выбор карты] </a><br />";
  echo "<a href=\"?l=newloc\">[новая карта] </a><br />"; //http://stalker.rul/adm.php?l=newloc
  echo "($data_card[id]) $data_card[name] ";
  //
  $_t_s=explode('-',$data_card['s']);
  $data_card['max_x']=intval($_t_s['0']);
  $data_card['max_y']=intval($_t_s['1']);
  //
  echo "[$data_card[max_x] на $data_card[max_y]]<br />";
  if($data_card['active']){echo "<a href=\"?l=cardedit&loc=$data_card[id]&card=$data_card[id]&cardaktive\"><font color=\"lime\">активна</font></a> ";}else{echo "<a href=\"?l=cardedit&loc=$data_card[id]&card=$data_card[id]&cardaktive\"><font color=\"red\">неактивна</font></a> ";}
  if($data_card['emission']){echo "<a href=\"?l=cardedit&loc=$data_card[id]&card=$data_card[id]&chemission\"><font color=\"red\">не защищает от выброса</font></a> ";}else{echo "<a href=\"?l=cardedit&loc=$data_card[id]&card=$data_card[id]&chemission\"><font color=\"lime\">защищает от выброса</font></a> ";}
  echo "<br />";
echo "Аномалии $data_card[anomal]<br />";
echo "Монстры $data_card[monstr]<br />";
echo "Артефакты $data_card[artefact]<br />";
echo "<div class='card'>";
  echo "<table border='1' align='center'>";
//вывод карты
  for ($i = 1; $i <= $data_card['max_y']; $i++)
   {
   $y=$i;
    //$x=1;
    echo "<tr>";
    for ($j = 1; $j <= $data_card['max_x']; $j++)
    {
    $x=$j;
    //<img src=\"$value\" alt=\"\" />
    $coordinate="$x-$y";
    $img_coordinate="null";
    if(isset($_GET['coord']) and $_GET['coord']==$coordinate){$class=' class="select"';}else{$class=' class="none"';}
    // вывод клеток карты
    if(isset($BASE[$coordinate]))
    {
    echo "<td$class><a class='none' title='$coordinate' href=\"?l=cardedit&loc=$data_card[id]&coord=$coordinate&card=$data_card[id]\"><img class='none' src=\"./img/land/$BASE[$coordinate].gif\" /></a></td>";
    }else{
    echo "<td$class><a class='none' title='$coordinate' href=\"?l=cardedit&loc=$data_card[id]&coord=$coordinate&card=$data_card[id]\"><img class='none' src=\"./img/land/$img_coordinate.gif\" /></a></td>";
    }
      
    }
    echo "</tr>";  
   }
   echo "</table></div>"; 
   //
   if(isset($_GET['coord']))
   {
   $select_coord=ft_nic($_GET['coord']);
if(isset($MONSTR[$select_coord])){echo "<font color=\"red\">Монстр: ".$MONSTR[$select_coord]."</font><br />";}else{echo "<font color=\"lime\">Нет монстров</font><br />";}
if(isset($ANOMAL[$select_coord])){echo "<font color=\"red\">Аномалии: ".$ANOMAL[$select_coord]."</font><br />";}else{echo "<font color=\"lime\">Нет аномалий</font><br />";}
if(isset($ARTEFACT[$select_coord])){echo "<font color=\"lime\">Артефакты: ".$ARTEFACT[$select_coord]."</font><br />";}else{echo "<font color=\"red\">Нет артефактов</font><br />";}   
   if(isset($BASE[$select_coord]))
   {
   echo "Выбрано $select_coord [$BASE[$select_coord]]<br />";
   }else
   {
   echo "Выбрано $select_coord [не определено!]<br />";
   }
   //Проверка перемычки
   if(isset($BASE[$select_coord]) and substr_count($BASE[$select_coord],'door'))
     {
      $jump_data=mysql_fetch_array(mysql_query("SELECT * FROM `jump` WHERE `in_koord`='$select_coord' AND `in_card`='$data_card[id]' LIMIT 1"));
      if(!$jump_data)
        {
          if(isset($_GET['deldoor']))
          {
          //
          #echo "Удаление перемычки<br />";
          unset ($BASE[$select_coord]);
          //Сохраняем в БД
         $t_code="";
          foreach ($BASE as $key => $value)
          {
             $t_code.=$key."#".$value.":";
          }
          mysql_query("UPDATE `location` SET 
          `card`='$t_code'
          WHERE `id`='$data_card[id]' LIMIT 1");
          unset($t_code);
          mset_msg("Перемычка успешно удалена");
          header("Location: ?l=cardedit&loc=$data_card[id]&coord=$select_coord");exit;          
          }else{
          echo "<font color=\"red\">Не связана ни с одной картой</font> <a href=\"?l=a_addjump&in_card=$data_card[id]\">[связать]</a> <a href='?l=cardedit&loc=$data_card[id]&coord=$select_coord&deldoor'> [удалить]</a><br />";}
          //http://stalker.rul/adm.php?l=cardedit&loc=1&coord=3-1&card=1    in_card
        }else{
        echo "<a href='?l=cardedit&loc=$jump_data[card]'>Перемычка направлена на $jump_data[title] $jump_data[koord]</a><br />";
        }
     }
   //Загружаем ландшафты
  $tmp_land=file("./#dat/land.dat");
  echo "<div class='aselobj'>";
  echo "Виды ландшафта<br />";
    foreach($tmp_land as $key => $value)
    {
    //echo "<tr><td>";
      $land_data=explode(':',$value);    // - $land_data[2]$adds
      if(substr_count($land_data['0'],"yes")){$adds=" [движение]";}else{$adds=" [нет движения]";}
      #echo "<div class=\"c03\"><a href=\"?l=cardedit&loc=$data_card[id]&loc=$data_card[id]&set=$land_data[0]&coord=$select_coord&card=$data_card[id]\"><img src=\"./img/land/$land_data[1]\" /> - $land_data[2]$adds</a></div>";
     echo "<a title='$land_data[2]$adds' href=\"?l=cardedit&loc=$data_card[id]&loc=$data_card[id]&set=$land_data[0]&coord=$select_coord&card=$data_card[id]\"><img src=\"./img/land/$land_data[1]\" /></a>"; 
    //echo "</td></tr>";
    }
    echo "<div class=\"c03\"><a href=\"?l=cardedit&loc=$data_card[id]&set=$land_data[0]&coord=$select_coord&card=$data_card[id]&clear\"><font color=\"red\">Очистить</font></a></div>";
    unset($tmp_land,$land_data); echo "</div>";
    echo "<div class='aselobj'>";
    echo "Аномалии<br />";
    //Загрузка аномальных зон
    $tmp_land=file("./#dat/anomal.dat");
    foreach($tmp_land as $key => $value)
    {
    $land_data=explode(':',$value);
    $t_title="$land_data[1] (".intval($land_data[0]).")";
    echo "<a title='$t_title' href=\"?l=cardedit&loc=$data_card[id]&anomal=$land_data[0]&coord=$select_coord&card=$data_card[id]\">$land_data[1]".intval($land_data[0])." </a>";
    }
    echo "<div class=\"c03\"><a href=\"?l=cardedit&loc=$data_card[id]&anomal=$land_data[0]&coord=$select_coord&card=$data_card[id]&clear\"><font color=\"red\">Очистить</font></a></div>";
    unset($tmp_land,$land_data);
    echo "</div>";
    echo "<div class='aselobj'>";
    echo "Монстры<br />";
    //Загрузка монстров
    $tmp_land=file("./#dat/monster.dat");
    foreach($tmp_land as $key => $value)
    {
    $land_data=explode(':',$value);
    echo "<a href=\"?l=cardedit&loc=$data_card[id]&monstr=$land_data[0]&coord=$select_coord&card=$data_card[id]\">$land_data[1]</a>";
    }
    echo "<div class=\"c03\"><a href=\"?l=cardedit&loc=$data_card[id]&monstr=$land_data[0]&coord=$select_coord&card=$data_card[id]&clear\"><font color=\"red\">Очистить</font></a></div>";
   unset($tmp_land,$land_data); 
   echo "</div>";
   echo "<div class='aselobj'>";
    echo "Артефакты<br />";
    //Загрузка аартефактов
    $tmp_land=file("./#dat/artefact.dat");
    foreach($tmp_land as $key => $value)
    {
    $land_data=explode(':',$value);
    echo "<a href=\"?l=cardedit&loc=$data_card[id]&artefact=$land_data[0]&coord=$select_coord&card=$data_card[id]\">$land_data[1] </a>";
    }
   echo "<div class=\"c03\"><a href=\"?l=cardedit&loc=$data_card[id]&artefact=$land_data[0]&coord=$select_coord&card=$data_card[id]&clear\"><font color=\"red\">Очистить</font></a></div>"; 
   unset($tmp_land,$land_data); 
   echo "</div>"; 
   }
   //
}
// http://stalker.rul/adm.php?l=loccard
echo "<div class=\"c07\"><a href='?l=loccard'>Карты</a></div>";
?>
